discography:
- catalog: FBRC2008
  date: '2008'
  link: album/81933
  reprint: false
  roles:
  - Arranger (as Chickenwarlord)
  titles:
    en: Freshly Baked ReMixer Challenge 2008
    ja: FBRC2008
    ja-latn: Freshly Baked ReMixer Challenge 2008
  type: doujin
- catalog: N/A
  date: '2008-12-15'
  link: album/9649
  reprint: false
  roles:
  - Arranger
  titles:
    en: 'Super Metroid ~Reserve Tank: VARIAtions~'
    ja: 'Super Metroid ~Reserve Tank: VARIAtions~'
    ja-latn: 'Super Metroid ~Reserve Tank: VARIAtions~'
  type: doujin
featured_on: []
info:
  Credited works: 2 albums in database
  Credits: 2 arranger
link: artist/5479
meta:
  added_date: 2008-12-15T23:21
  edited_date: 2008-12-16T02:23
  fetched_date: 2025-12-07T19:29
  ttl: 86400
  visitors: 2354
name: Chicken Warlord
notes: No notes available for this artist.
sex: male
type: Individual
vgmdb_link: https://vgmdb.net/artist/5479?perpage=99999
websites: {}
